Bug 179177 - print/libotf: update to 0.9.13
Summary: print/libotf: update to 0.9.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-01 18:40 UTC by Nikola Lečić
Modified: 2013-06-02 20:00 UTC (History)
0 users

See Also:


Attachments
libotf-0.9.13.patch (4.55 KB, patch)
2013-06-01 18:40 UTC, Nikola Lečić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Lečić 2013-06-01 18:40:00 UTC
* update to 0.9.13
* new MASTER_SITES (Makefile)
* new project's home (pkg_descr)
* pet portlint
* removing patches

NOTES TO THE COMMITTER
* this patch delete files/ and it's contents; patches went upstream
* please close ports/179162 after committing this patch
Comment 1 Pawel Pekala freebsd_committer 2013-06-02 19:10:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-06-02 19:54:59 UTC
Author: pawel
Date: Sun Jun  2 18:54:51 2013
New Revision: 319711
URL: http://svnweb.freebsd.org/changeset/ports/319711

Log:
  * update to 0.9.13
  * new MASTER_SITES (Makefile)
  * new project's home (pkg_descr)
  * pet portlint
  * removing patches accepted upstream
  
  PR:		ports/179177
  Submitted by:	Nikola Lecic <nikola.lecic@anthesphoria.net> (maintainer)

Deleted:
  head/print/libotf/files/
Modified:
  head/print/libotf/Makefile   (contents, props changed)
  head/print/libotf/distinfo   (contents, props changed)
  head/print/libotf/pkg-descr   (contents, props changed)

Modified: head/print/libotf/Makefile
==============================================================================
--- head/print/libotf/Makefile	Sun Jun  2 18:52:12 2013	(r319710)
+++ head/print/libotf/Makefile	Sun Jun  2 18:54:51 2013	(r319711)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:   libotf
-# Date created:                18 May 2004
-# Whom:                        Kimura Fuyuki <fuyuki@hadaly.org>
-#
+# Created by: Kimura Fuyuki <fuyuki@hadaly.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libotf
-PORTVERSION=	0.9.12
+PORTVERSION=	0.9.13
 CATEGORIES=	print devel
-MASTER_SITES=	http://www.m17n.org/libotf/ \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/
+MASTER_SITES=	${MASTER_SITE_SAVANNAH}:m17n
+MASTER_SITE_SUBDIR=	m17n
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
 COMMENT=	Library for handling OpenType fonts
@@ -17,7 +13,7 @@ COMMENT=	Library for handling OpenType f
 LIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2
 
 USE_XORG=	x11 xt xaw xmu
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include

Modified: head/print/libotf/distinfo
==============================================================================
--- head/print/libotf/distinfo	Sun Jun  2 18:52:12 2013	(r319710)
+++ head/print/libotf/distinfo	Sun Jun  2 18:54:51 2013	(r319711)
@@ -1,2 +1,2 @@
-SHA256 (libotf-0.9.12.tar.gz) = a4a04cccf84955242202a4a7e50314259030c1f1573675085ba1c5a95b529297
-SIZE (libotf-0.9.12.tar.gz) = 363974
+SHA256 (libotf-0.9.13.tar.gz) = 7bc466ba50425f95b52de12b4ad35320acefcef13ce67bf33edc14abdcfe6908
+SIZE (libotf-0.9.13.tar.gz) = 388832

Modified: head/print/libotf/pkg-descr
==============================================================================
--- head/print/libotf/pkg-descr	Sun Jun  2 18:52:12 2013	(r319710)
+++ head/print/libotf/pkg-descr	Sun Jun  2 18:54:51 2013	(r319711)
@@ -9,4 +9,4 @@ The library "libotf" provides the follow
 The combination of libotf and the FreeType library (Ver. 2) realizes
 CTL (complex text layout) by OpenType fonts.
 
-WWW: http://www.m17n.org/libotf/
+WWW: http://www.nongnu.org/m17n/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-06-02 19:57:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!